Bug 150603

Summary: Web Inspector: [GTK] Adopt currentColor for mask SVG images
Product: WebKit Reporter: Timothy Hatcher <timothy>
Component: Web InspectorAssignee: Fujii Hironori <Hironori.Fujii>
Status: RESOLVED FIXED    
Severity: Normal CC: agomez, aperez, bugs-noreply, cgarcia, commit-queue, graouts, Hironori.Fujii, inspector-bugzilla-changes
Priority: P2 Keywords: DoNotImportToRadar
Version: WebKit Local Build   
Hardware: All   
OS: All   
Bug Depends on: 150602    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
screenshot of before and after this fix none

Description Timothy Hatcher 2015-10-27 14:00:19 PDT
I did this for Mac, but it was more difficult for the GTK images. Instead of using the implicit black for fill and stroke, you need to specify "currentColor". This will let the Inspector style the glyphs, specifically the navigation bar items that show up as blue when on/selected.
Comment 1 Andres Gomez Garcia 2015-11-18 07:51:17 PST
Taking ...
Comment 2 Fujii Hironori 2017-05-18 00:04:21 PDT
Created attachment 310491 [details]
Patch
Comment 3 Fujii Hironori 2017-05-18 00:19:26 PDT
Created attachment 310492 [details]
screenshot of before and after this fix
Comment 4 WebKit Commit Bot 2017-05-18 01:05:07 PDT
Comment on attachment 310491 [details]
Patch

Clearing flags on attachment: 310491

Committed r217039: <http://trac.webkit.org/changeset/217039>
Comment 5 WebKit Commit Bot 2017-05-18 01:05:08 PDT
All reviewed patches have been landed.  Closing bug.